## com.lowagie.text.pdf
Class XfaForm.InverseStore

    java.lang.Object
      com.lowagie.text.pdf.XfaForm.InverseStore

Enclosing class:
  XfaForm

    public static class XfaForm.InverseStore

extends java.lang.Object

A structure to store each part of a SOM name and link it to the next part beginning from the lower hierarchie.

Field Summary
`protected java.util.ArrayList` `follow`
`protected java.util.ArrayList` `part`

Constructor Summary
`XfaForm.InverseStore()`

Method Summary
`java.lang.String` `getDefaultName()` Gets the full name by traversing the hiearchie using only the index 0.
`boolean` `isSimilar(java.lang.String name)` Search the current node for a similar name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### part

    protected java.util.ArrayList part

### follow

    protected java.util.ArrayList follow

Constructor Detail

### XfaForm.InverseStore

    public XfaForm.InverseStore()

Method Detail

### getDefaultName

    public java.lang.String getDefaultName()

  Gets the full name by traversing the hiearchie using only the index 0.

  Returns:
    the full name

### isSimilar

    public boolean isSimilar(java.lang.String name)

  Search the current node for a similar name. A similar name starts with the same name but has a differnt index. For example, "detail[3]" is similar to "detail[9]". The main use is to discard names that correspond to out of bounds records.

  Parameters:
    `name` - the name to search
  Returns:
    `true` if a similitude was found